v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/unblinded-disp-history
Deprecated: Retrieves unblinded dispensation history for all subjects within the study. Rights: OrsSubjectVisitGet. In this version pagination and these two fields were added : titrationOption, operationType
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
audit: boolean
Value of audit parameter
-
instanceNumber: number
Instance number for unscheduled visit.
-
limit: integer(int32)
Maximum number of records to display per page.
-
offset: integer(int32)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.
-
subjectId: string
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
visitId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : PaginatedResponse
Type:
objectGeneric pagination wrapper providing page information and the result data for the current page.
Show Source
-
count: integer
(int32)
Number of results in the current page.Example:
25 -
hasMore: boolean
Indicates if there are more results beyond the current page.Example:
true -
limit: integer
(int32)
Maximum number of records returned per page.Example:
25 -
offset: integer
(int32)
Index of the first record returned in the current page.Example:
0 -
resultData: object
resultData
Paginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
-
totalResults: integer
(int32)
Total number of results across all pages.Example:
125
Nested Schema : resultData
Type:
objectPaginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
400 Response
Invalid limit or offset values
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version. Or subject not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object